from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from app.database import get_db
from app.services import point_unit_grouping_service

router = APIRouter(prefix="/point-unit-grouping", tags=["point-unit-grouping"])

@router.get("/get-h-xtfx-result")
def get_h_xtfx_result(db: Session = Depends(get_db)):
    """接口：返回单元 h_xtfx结果"""
    unit_rows, point_rows = point_unit_grouping_service.fetch_unit_and_point_data(db)
    result = point_unit_grouping_service.check_h_xtfx_values(unit_rows, point_rows)
    return result